<?php

	class GaleriaModel extends Database {

		protected function insertImage($novoNomeFicheiro, $tituloImagem, $descricaoImagem, $ficheiro, $nomeFicheiro, $tipoFicheiro, $nomeTemporarioFicheiro, $erroFicheiro, $tamanhoFicheiro, $extensaoFicheiro, $extensaoActualFicheiro, $permitido, $nomeCompletoImagem, $destinoFicheiro){
			$sql = "SELECT * FROM galeria";
			$stmt = $this->connect()->query($sql);
			/*if(!$stmt->execute(array($novoNomeFicheiro, $tituloImagem, $descricaoImagem, $ficheiro, $nomeFicheiro, $tipoFicheiro, $nomeTemporarioFicheiro, $erroFicheiro, $tamanhoFicheiro, $extensaoFicheiro, $extensaoActualFicheiro, $permitido, $nomeCompletoImagem, $destinoFicheiro))){
				$stmt = null;
				header("location: ../index.php?Erro=stmtFalhou!");
				exit();
			}*/
			
			$rowCount = $stmt->rowCount();
			$setImageOrder = $rowCount + 1;

			$sql2 = "INSERT INTO galeria (titulo, descricao, imagemNomeCompleto, ordemGaleria) VALUES (?, ?, ?, ?)";
			$stmt = $this->connect()->prepare($sql2);
			/*if(!$stmt->execute(array($tituloImagem, $descricaoImagem, $nomeCompletoImagem, $setImageOrder))){
				$stmt = null;
				header("location: ../galeria.php?Erro=Inserir!");
				exit();
			}*/
			$stmt->execute([$tituloImagem, $descricaoImagem, $nomeCompletoImagem, $setImageOrder]);
			move_uploaded_file($nomeTemporarioFicheiro, $destinoFicheiro);
			header("location: ../galeria.php?ImagemUpload=Sucesso!");
			$stmt = null;
		}

		public function readGaleria(){
			$sql = "SELECT * FROM galeria ORDER BY ordemGaleria DESC";
			$stmt = $this->connect()->query($sql);
			while($row = $stmt->fetch()){
				echo '<div class="col-md-4">
    				<div class="car-wrap rounded ftco-animate">
    					<div class="img rounded d-flex align-items-end" style="background-image: url(admin/images/galeria/'.$row['imagemNomeCompleto'].');">
    					</div>
    					<div class="text">
    						<h2 class="mb-0"><a href="car-single.html">'.$row['titulo'].'</a></h2>
    						<div class="d-flex mb-3">
	    						<span class="cat">'.$row['descricao'].'</span>
	    						<p class="price ml-auto"> <span></span></p>
    						</div>
    						<p class="d-flex mb-0 d-block"><a href="#" class="btn btn-primary py-2 mr-1">Reservar agora</a> <a href="car-single.php" class="btn btn-secondary py-2 ml-1">Detalhes</a></p>
    					</div>
    				</div>
    			</div>';
			}
		}
	}